Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.model
Class ScenarioModel.RuleSetLink

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.campaign.model.ScenarioModel.RuleSetLink

All Implemented Interfaces
  Serializable, Cloneable

Enclosing class:
  ScenarioModel

    public class ScenarioModel.RuleSetLink

extends Model

An object representing a link to a rule model. These will be the children of ScenarioModels from xml parsed out of the Datasync repository.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`ScenarioModel.RuleSetLink(String rulesetUri)` Constructor from scenario-ruleset-link.
`ScenarioModel.RuleSetLink(String schemaUri, String instanceUri, String instanceId)` Construtor from data-link.

Method Summary
`Model` | `copy()` Make a copy of the RuleModelLink.
`boolean` | `equals(Object o)`
`String` | `getInstanceId()` Get the instance id of the rule-set in the scenario.
`String` | `getInstanceUri()` Get the rule-set instance uri.
`String` | `getSchemaUri()` The rule-set namespace uri.
`int` | `hashCode()`
`boolean` | `isDataLink()` Was this rule-set link a data-link?

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, childAdded, childRemoved, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, preRemove, propertyChanged, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument, setParent`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScenarioModel.RuleSetLink

    public ScenarioModel.RuleSetLink(String schemaUri,
                                     String instanceUri,
                                     String instanceId)

  Construtor from data-link.

  Parameters
    `schemaUri` - the rule-set namespace uri.
    `instanceUri` - the rule-set instance uri (generally the datasync uri).
    `instanceId` - the rule-set id (generally originally the data:id of rule-set).

### ScenarioModel.RuleSetLink

    public ScenarioModel.RuleSetLink(String rulesetUri)

  Constructor from scenario-ruleset-link.

  Parameters
    `rulesetUri` - the rule-set uri (generally the datasync uri).

Method Detail

### copy

    public Model copy()

  Make a copy of the RuleModelLink.

  Specified by:
    `copy` in class `Model`

### getSchemaUri

    public String getSchemaUri()

  The rule-set namespace uri.

### getInstanceUri

    public String getInstanceUri()

  Get the rule-set instance uri. If the campaign was loaded from a datasync repository, this will correspond to the datasync uri of the ruleset.

### getInstanceId

    public String getInstanceId()

  Get the instance id of the rule-set in the scenario. This will correspond to the data:id attribute of the rule-set in the scenario, prior to it be cleaved and replaced with a data-link.

### isDataLink

    public boolean isDataLink()

  Was this rule-set link a data-link?

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.